org.eclipse.jface.bindings

## Class SchemeEvent

- java.lang.Object
- - org.eclipse.core.commands.common.AbstractBitSetEvent
  - - org.eclipse.core.commands.common.AbstractHandleObjectEvent
    - - org.eclipse.core.commands.common.AbstractNamedHandleEvent
      - - org.eclipse.jface.bindings.SchemeEvent

    public final class SchemeEvent
    extends AbstractNamedHandleEvent

An instance of this class describes changes to an instance of `IScheme`.

This class is not intended to be extended by clients.

Since:
  3.1
See Also:
  `ISchemeListener.schemeChanged(SchemeEvent)`

### Field Summary

### Fields inherited from class org.eclipse.core.commands.common.AbstractNamedHandleEvent

`CHANGED_DESCRIPTION, CHANGED_NAME, LAST_USED_BIT`

### Fields inherited from class org.eclipse.core.commands.common.AbstractHandleObjectEvent

`CHANGED_DEFINED, LAST_BIT_USED_ABSTRACT_HANDLE`

### Fields inherited from class org.eclipse.core.commands.common.AbstractBitSetEvent

`changedValues`

### Constructor Summary

Constructors
Constructor and Description
`SchemeEvent(Scheme scheme, boolean definedChanged, boolean nameChanged, boolean descriptionChanged, boolean parentIdChanged)` Creates a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`Scheme` `getScheme()` Returns the instance of the scheme that changed.
`boolean` `isParentIdChanged()` Returns whether or not the parentId property changed.

### Methods inherited from class org.eclipse.core.commands.common.AbstractNamedHandleEvent

`isDescriptionChanged, isNameChanged`

### Methods inherited from class org.eclipse.core.commands.common.AbstractHandleObjectEvent

`isDefinedChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemeEvent

    public SchemeEvent(Scheme scheme,
                       boolean definedChanged,
                       boolean nameChanged,
                       boolean descriptionChanged,
                       boolean parentIdChanged)

Creates a new instance of this class.

Parameters:
  `scheme` - the instance of the interface that changed; must not be `null`.
  `definedChanged` - true, iff the defined property changed.
  `nameChanged` - true, iff the name property changed.
  `descriptionChanged` - `true` if the description property changed; `false` otherwise.
  `parentIdChanged` - true, iff the parentId property changed.

### Method Detail

#### getScheme

    public final Scheme getScheme()

Returns the instance of the scheme that changed.

Returns:
  the instance of the scheme that changed. Guaranteed not to be `null`.

#### isParentIdChanged

    public final boolean isParentIdChanged()

Returns whether or not the parentId property changed.

Returns:
  true, iff the parentId property changed.